- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::Slot3< P1, P2, P3 > Class Template Reference

Part of the slot/signal system. More...

`#include <gslot.h>`

## Public Member Functions
| Slot3 ()
| Slot3 (SlotBase *imp, void(*op)(SlotBase *, P1, P2, P3))
| ~Slot3 ()
void | callback (P1 p1, P2 p2, P3 p3)
| Slot3 (const Slot3< P1, P2, P3 > &other)
void | swap (Slot3< P1, P2, P3 > &rhs)
void | operator= (const Slot3< P1, P2, P3 > &rhs)
const SlotBase * | base () const

## Detailed Description

### template<typename P1, typename P2, typename P3>
class G::Slot3< P1, P2, P3 >

Part of the slot/signal system.

Definition at line 340 of file gslot.h.

## Constructor & Destructor Documentation

template<typename P1, typename P2, typename P3>

G::Slot3< P1, P2, P3 >::Slot3 | ( |  | ) |
| inline

Definition at line 346 of file gslot.h.

template<typename P1, typename P2, typename P3>

G::Slot3< P1, P2, P3 >::Slot3 | ( | SlotBase * | imp,
|  | void(*)(SlotBase *, P1, P2, P3) | op
| ) |  |
| inline

Definition at line 347 of file gslot.h.

template<typename P1, typename P2, typename P3>

G::Slot3< P1, P2, P3 >::~Slot3 | ( |  | ) |
| inline

Definition at line 348 of file gslot.h.

template<typename P1, typename P2, typename P3>

G::Slot3< P1, P2, P3 >::Slot3 | ( | const Slot3< P1, P2, P3 > & | other | ) |
| inline

Definition at line 350 of file gslot.h.

## Member Function Documentation

template<typename P1, typename P2, typename P3>

const SlotBase* G::Slot3< P1, P2, P3 >::base | ( |  | ) | const
| inline

Definition at line 353 of file gslot.h.

Referenced by G::Signal3< bool, unsigned long, std::string >::connect().

template<typename P1, typename P2, typename P3>

void G::Slot3< P1, P2, P3 >::callback | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3
| ) |  |
| inline

Definition at line 349 of file gslot.h.

Referenced by G::Signal3< bool, unsigned long, std::string >::emit().

template<typename P1, typename P2, typename P3>

void G::Slot3< P1, P2, P3 >::operator= | ( | const Slot3< P1, P2, P3 > & | rhs | ) |
| inline

Definition at line 352 of file gslot.h.

template<typename P1, typename P2, typename P3>

void G::Slot3< P1, P2, P3 >::swap | ( | Slot3< P1, P2, P3 > & | rhs | ) |
| inline

Definition at line 351 of file gslot.h.

Referenced by G::Slot3< bool, unsigned long, std::string >::operator=().

The documentation for this class was generated from the following file:

- gslot.h